System.Security 2.0.0.0 4.0.0.0 System.Object To be added.

The class represents the CMS/PKCS #7 ContentInfo data structure as defined in the CMS/PKCS #7 standards document. This data structure is the basis for all CMS/PKCS #7 messages.

- Constructor
  2.0.0.0
  4.0.0.0

  The class has the following default property values.

  Property

  Default value

  1.2.840.113549.1.7.1 (data)

  The constructor creates an instance of the class by using an array of byte values as the data and a default (OID) that represents the content type.

  An array of byte values that represents the data from which to create the object.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The digestedData and encryptedData content types, which appear in the CMS/PKCS #7 standards document, are not content types that can be produced by this implementation. However these content types can be passed to this constructor.

  Use the following OID strings as arguments to the constructor to build the content type parameter.

  content type

  OID string

  data

  1.2.840.113549.1.7.1

  digestedData

  1.2.840.113549.1.7.5

  encryptedData

  1.2.840.113549.1.7.6

  envelopedData

  1.2.840.113549.1.7.3

  hashedData

  1.2.840.113549.1.7.5

  signedAndEnvelopedData

  1.2.840.113549.1.7.4

  signedData

  1.2.840.113549.1.7.2

  The constructor creates an instance of the class by using the specified content type and an array of byte values as the data.

  An array of byte values that represents the data from which to create the object.
- Property
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added. To be added.

  The property retrieves the content of the CMS/PKCS #7 message.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Oid To be added. To be added.

  The property retrieves the object that contains the (OID) of the content type of the inner content of the CMS/PKCS #7 message.

- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Oid `` To be added.

  The static method retrieves the outer content type of the encoded message represented by an array of byte values.

  If the method succeeds, the method returns an object that contains the outer content type of the specified encoded message.

  If the method fails, it throws an exception.

  An array of byte values that represents the encoded message from which to retrieve the outer content type.